[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible_lede: correct given path for node_cleanup_tmpdirs & node_save_logs
Mattia Rizzolo
mattia at debian.org
Sun Nov 5 20:41:40 UTC 2017
This is an automated email from the git hooks/post-receive script.
mattia pushed a commit to branch master
in repository jenkins.debian.net.
commit 72a8a5038d4228b0f923b3dc8b82314e44111a52
Author: Alexander Couzens <lynxis at fe80.eu>
Date: Sun Nov 5 21:39:57 2017 +0100
reproducible_lede: correct given path for node_cleanup_tmpdirs & node_save_logs
When moving LEDE build directory to /srv/workspace/chroots those
has been mistyped to RESULTSDIR instead of TMPBUILDDIR.
Signed-off-by: Mattia Rizzolo <mattia at debian.org>
---
bin/reproducible_lede_common.sh | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
diff --git a/bin/reproducible_lede_common.sh b/bin/reproducible_lede_common.sh
index bb9bf77..55ef15e 100644
--- a/bin/reproducible_lede_common.sh
+++ b/bin/reproducible_lede_common.sh
@@ -44,16 +44,16 @@ master_cleanup_tmpdirs() {
# in a success build the logs are saved on a different function
if [ "$1" != "success" ] ; then
# job failed
- ssh $GENERIC_NODE1 reproducible_$TYPE node node_save_logs $RESULTSDIR || true
- ssh $GENERIC_NODE2 reproducible_$TYPE node node_save_logs $RESULTSDIR || true
+ ssh $GENERIC_NODE1 reproducible_$TYPE node node_save_logs $TMPBUILDDIR || true
+ ssh $GENERIC_NODE2 reproducible_$TYPE node node_save_logs $TMPBUILDDIR || true
# save failure logs
mkdir -p $WORKSPACE/results/
rsync -av $GENERIC_NODE1:$RESULTSDIR/build_logs.tar.xz $WORKSPACE/results/build_logs_b1.tar.xz || true
rsync -av $GENERIC_NODE2:$RESULTSDIR/build_logs.tar.xz $WORKSPACE/results/build_logs_b2.tar.xz || true
fi
- ssh $GENERIC_NODE1 reproducible_$TYPE node node_cleanup_tmpdirs $RESULTSDIR || true
- ssh $GENERIC_NODE2 reproducible_$TYPE node node_cleanup_tmpdirs $RESULTSDIR || true
+ ssh $GENERIC_NODE1 reproducible_$TYPE node node_cleanup_tmpdirs $TMPBUILDDIR || true
+ ssh $GENERIC_NODE2 reproducible_$TYPE node node_cleanup_tmpdirs $TMPBUILDDIR || true
cd
# (very simple) check we are deleting the right stuff
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list